/*****************************
Глобальные стили колонок
*********************************/
.flex1{
    flex:1;
}
.flex2{
    flex:2;
}

.uc-covertext{
transform: translate(-50%, -100%);
    z-index: 100;
    position: absolute;
    left: 50%;
    width: 100%;
}

.underline{
    border-bottom: 1px solid #43464B;
}

.transparent_form{
    background-color: rgb(255,255,255,0.45) !important;
}

.mini_img{
    max-width:370px;
    aspect-ratio:2 / 3;
    height:auto !important;
}

.copywrite{
    margin-top:-30px;
}


.uc-header{
.t396__artboard {
    background-color: rgba(40,42,46,0.8) !important;
}
}


/*****************************************
успешно сообщение

******************************************/

.t-form-success-popup__wrapper {
    background-color: #232223 !important;
   
}



/*****************************************
попап на мобилке
******************************************/
   @media screen and (max-width: 960px) {
.uc-order_popup, .uc-subs_popup {.t-popup__container.t-popup__container-static {
    margin: 0px auto;
}
}}


/*****************************************
подчеркивание ссылок
******************************************/


.link_underline-effect {

  text-decoration: none;
}


.link_underline-effect:before {
content: "";
    position: absolute;
    bottom: -7px;
    background: #dbcdc2;
    height: 1px;
    left: auto;
    right: 0;
    width: 0px;
    -webkit-transition: all .5s cubic-bezier(.23,1,.32,1);
    transition: all .5s cubic-bezier(.23,1,.32,1);
}

.link_underline-effect:hover:before {
    width: 100%;
    right: auto;
    left: 0;
}



/*****************************************
блок блога 
******************************************/
   @media screen and (min-width: 960px) {
.uc-blog{
.t897__container {
    max-width: 1440px;
    .js-feed-post{
       max-width: calc(25% - 40px); 
    }
}


    
    
}}

/*****************************************
articles 
******************************************/






 @media screen and (min-width: 1200px) {

.uc-articles_1600{
     
 .t-container {
    max-width: 1430px;

        .t404__col{
            max-width: calc(25% - 40px);
        }
}   
   
}
}
   @media screen and (max-width: 1599px) {.uc-articles_1600 .t-container{  max-width: 1155px;  }}
      @media screen and (max-width: 1199px) {.uc-articles_1600 .t-container{  max-width: 895px;  }}
       @media screen and (max-width: 959px) {.uc-articles_1600 .t-container{  max-width: 595px;  }}
      @media screen and (max-width: 639px) {.uc-articles_1600 .t-container{  max-width: 480px;  }}
         @media screen and (max-width: 479px) {.uc-articles_1600 .t-container{  max-width: 100%;  }}    




@media screen and (max-width: 450px) {
.uc-articles_1600{
    .t404 .t-col_3, .t404 .t-col_4, .t404 .t-col_6 {

        margin-bottom: 0px;
    }
}
}

/*****************************************
блок проектов 
******************************************/
   @media screen and (min-width: 1200px) {
.uc-projects_1600{
 .t404{
    padding:0px 50px;
.t-container {
    max-width: 100%;
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    gap: 9vw;
    &:before, &:after{
    display:none;
}





&:nth-child(odd){
    
   .t404__col {
        flex: 1;
    max-width: 100%;
    &:first-child{
        flex: 2;
        
    }
    }  
}


&:nth-child(even){
    
   .t404__col {
        flex: 2;
    max-width: 100%;
    &:first-child{
        flex: 1;
        
    }
    }  
}
    
    
    
    
    




}
   
}
}

}
/*****************************************
Паралакс 
******************************************/

.paralax{
overflow:hidden;    
}

/*****************************************
aspect-ratio 
******************************************/

.ar1{
 aspect-ratio:1 / 1;   
     height: auto !important;
     min-height:400px;
}
/*****************************************
Кастомная сетка
******************************************/
.uc-zero_1640{
     
         .t396{
    margin: 0px auto;
     max-width: 1440px; 
}     
   
}

   @media screen and (max-width: 1599px) {.uc-zero_1640 .t396{  max-width: 1200px;  }}
      @media screen and (max-width: 1199px) {.uc-zero_1640 .t396{  max-width: 960px;  }}
       @media screen and (max-width: 959px) {.uc-zero_1640 .t396{  max-width: 640px;  }}
      @media screen and (max-width: 639px) {.uc-zero_1640 .t396{  max-width: 480px;  }}
         @media screen and (max-width: 479px) {.uc-zero_1640 .t396{  max-width: 100%;  }}    


/*****************************************
последняя форма CTA
******************************************/
  @media screen and (min-width: 960px) {
.fin_ctaform_holder {
        background: rgba(240,248,255,0.11);
        -webkit-backdrop-filter: blur(25px);
    backdrop-filter: blur(25px);
}
}




.final_cta_form{
    .tn-form__submit{
  margin-top: 30px;  
}
    .t-input-block{
        
          input[name="i_want"]{
            color: rgb(255 255 255) !important;
            font-size: 38px !important;
            font-weight: 100 !important;
            background: transparent !important;
            border: 0px !important;
            border-bottom: 1px solid white !important;
            padding: 20px 0px !important;
            height: auto !important;
            box-sizing: border-box !important;

            &::placeholder, &::-webkit-input-placeholder{
                      color: rgb(255 255 255) !important;
                 }
                 }
                 
                 
        
        .t-checkbox__control.t-checkbox__control_flex{
        -webkit-align-items: flex-start;
    align-items: flex-start;
}
                input[name="Phone"]{
font-size: 42px !important;
            letter-spacing: -1px;
            font-weight: 100 !important;
            height: auto !important;
            padding: 20px 0px;
            border-bottom: 1px solid white !important;

    
    
}} 
}


  @media screen and (max-width: 480px) {
.final_cta_form .t-input-block input[name="Phone"]{
font-size: 32px !important;
}} 

/*****************************************
Большая форма CTA
******************************************/
.cta_form_big{
.t-input-group{
     &:has(input[name="phone"]),&:has(input[name="name"]){
    max-width:365px;
}
}
    
     .t-input-block{
        
                input[name="phone"],input[name="name"]{
                 border: 0px !important;
                 background-color: rgba(255,255,255,0.4) !important;
                    height: 70px !important;
            padding: 0 28px;
            font-size: 17px !important;
            font-weight: 100 !important;
            letter-spacing: 0.5px;
                 &:focus, &:not(:placeholder-shown){
                    background-color: rgba(255,255,255,1) !important;
                    }

                 }
                 
                 input[name="i_want"]{
            color: rgb(255 255 255) !important;
            font-size: 38px !important;
            font-weight: 100 !important;
            background: transparent !important;
            border: 0px !important;
            border-bottom: 1px solid white !important;
            padding: 17px 0px !important;
            height: auto !important;
            box-sizing: border-box !important;
                        margin-bottom: 42px;
            &::placeholder, &::-webkit-input-placeholder{
                      color: rgb(255 255 255) !important;
                 }
                 }
}
    
    
   .t-input-group_tx {
   .t-input-block{
    border-bottom: 1px solid white;
    padding: 24px 0px;
        margin-bottom: 20px;
       
}

       
   }
} 